PETSc version 3.15.5
Fix/Edit manual page

# TaoADMMSetRegularizerObjectiveAndGradientRoutine

Sets the user-defined regularizer call-back function

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMSetRegularizerObjectiveAndGradientRoutine(Tao tao, PetscErrorCode (*func)(Tao, Vec, PetscReal*, Vec, void*), void *ctx)

Collective on tao

### Input Parameters

+ tao - the Tao context . func - function pointer for the regularizer value and gradient evaluation - ctx - user context for the regularizer

### See Also

TAOADMM

### Level

advanced

### Location

src/tao/constrained/impls/admm/admm.c

### Examples

src/tao/constrained/tutorials/tomographyADMM.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages